Access

Sign in with API key

POST/v1/signin/apikey

Authenticates a user using an API key and returns a JWT access token.

The API key must be sent via the ApiKeyAuth security scheme. The request body carries the userId that the key belongs to. On success the response contains an accessToken with its expiration timestamp.

Authorization

ApiKeyAuth
X-Api-Key<token>

For accessing these endpoints a valid API key must be sent in the X-Api-Key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

Sign in with API key
curl --request POST \  --url 'https://gateway.bit2me.com/v1/signin/apikey' \  --header 'Content-Type: application/json' \  --data '{  "userId": "550e8400-e29b-41d4-a716-446655440000"}'
{  "accessToken": {    "expirationTime": 1727100000,    "token": "header.payload.signature"  }}